require "json"
require "bbc/cosmos/tools/types/base_type"

module BBC
  module Cosmos
    module Tools
      module Types
        class Json < BaseType
          protected

          def data
            @json ||= JSON.parse(IO.read(construct_file_path "json"))
          end
        end
      end
    end
  end
end
